package com.genuitec.sapphire.integratededitor.model;

import org.eclipse.sapphire.Element;
import org.eclipse.sapphire.ElementType;
import org.eclipse.sapphire.Value;
import org.eclipse.sapphire.ValueProperty;
import org.eclipse.sapphire.modeling.annotations.Label;
import org.eclipse.sapphire.modeling.annotations.Required;
import org.eclipse.sapphire.modeling.xml.annotations.XmlBinding;

public interface INameValuePair extends Element {

	ElementType TYPE = new ElementType(INameValuePair.class);

	// *** Name ***
	@XmlBinding(path = "@name")
	@Label(standard = "Name")
	@Required
	ValueProperty PROP_NAME = new ValueProperty(TYPE, "Name"); //$NON-NLS-1$

	Value<String> getName();

	void setName(String value);

	// *** Color value ***
	@XmlBinding(path = "")
	@Label(standard = "Value")
	ValueProperty PROP_VALUE = new ValueProperty(TYPE, "Value"); //$NON-NLS-1$

	Value<String> getValue();

	void setValue(String value);
	
}
